javax.faces.event

## Interface ActionListener

- All Superinterfaces:
    EventListener, FacesListener
  All Known Implementing Classes:
    ActionListenerWrapper, MethodExpressionActionListener

      public interface ActionListener
      extends FacesListener

  A listener interface for receiving `ActionEvent`s. An implementation of this interface must be thread-safe. A class that is interested in receiving such events implements this interface, and then registers itself with the source `UIComponent` of interest, by calling `addActionListener()`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TO_FLOW_DOCUMENT_ID_ATTR_NAME` The presence of this component attribute on an `ActionSource` component will cause the default `ActionListener` to interpret the value of the attribute as the toFlowDocumentId value to pass to `NavigationHandler.handleNavigation(javax.faces.context.FacesContext, java.lang.String, java.lang.String, java.lang.String)`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processAction(ActionEvent event)` Invoked when the action described by the specified `ActionEvent` occurs.

- - ### Field Detail

    - #### TO_FLOW_DOCUMENT_ID_ATTR_NAME

          static final String TO_FLOW_DOCUMENT_ID_ATTR_NAME

      The presence of this component attribute on an `ActionSource` component will cause the default `ActionListener` to interpret the value of the attribute as the toFlowDocumentId value to pass to `NavigationHandler.handleNavigation(javax.faces.context.FacesContext, java.lang.String, java.lang.String, java.lang.String)`.

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### processAction

          void processAction(ActionEvent event)
                             throws AbortProcessingException

      Invoked when the action described by the specified `ActionEvent` occurs.

      Parameters:
        `event` - The `ActionEvent` that has occurred
      Throws:
        `AbortProcessingException` - Signal the JavaServer Faces implementation that no further processing on the current event should be performed

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.